Name:			libgringotts
Version:		1.2.1
Release:		5%{?dist}
Summary:		A backend for managing encrypted data files on the disk
Summary(pl):		Zaplecze do zarządzania zaszyfrowanymi plikami danych na dysku

Group:			System Environment/Libraries
License:		GPLv2+
URL:			http://gringotts.berlios.de/        
Source0:		http://download.berlios.de/gringotts/%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:		libmcrypt-devel mhash-devel zlib-devel bzip2-devel textutils

%description
libGringotts is a small, easy-to-use, thread-safe C library
 originally developed for Gringotts; its purpose is to 
encapsulate data (generic: ASCII, but also binary data) 
in an encrypted and compressed structure, to be written 
in a file or used elseway. It makes use of strong 
encryption algorithms, to ensure the data are as safe 
as possible, and allow the user to have the complete 
control over all the algorithms used in the process.

%description		-l pl
libGringotts to niewielka, łatwa w użyciu biblioteka 
napisana w C, początkowo tworzona dla Gringotts. 
Jej zadaniem jest przechowywanie danych 
(głównie: ASCII, ale równiez binarnych) w zaszyfrowanej 
i skompresowanej strukturze, zapisywanej np. w pliku.
Używa ona silnych algorytmów szyfrujących 
dla maskymalnego bezpieczeństwa danych 
oraz by zapewnić użytkownikowi pełną kontrolę nad nimi.

%package		devel
Summary:		Development files for libgringotts
Summary(pl):		Pliki deweloperskie dla libgringotts
Group:			Development/Libraries
Requires:		libgringotts = %{version}-%{release} pkgconfig

%description		devel
The libgringotts-devel package contains libraries and header files for
developing applications that use libgringotts.

%description		devel -l pl
Pakiet libgringotts-devel zawiera biblioteki i pliki nagłówków 
niezbędne do tworzenia aplikacji, które używają libgringotts.

%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
#pcdir="%{RPM_BUILD_ROOT}%{_libdir}/pkgconfig/"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING  ChangeLog AUTHORS TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/manual.htm
%{_includedir}/*
%{_libdir}/*.so
#%{_libdir}/*.a
%{_libdir}/pkgconfig/*


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 1.2.1-4
- Shortened lines of text in description... Fixed

* Mon Feb 04 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 1.2.1-3
- Summary... Fixed
- Description... Fixed
- Requires for -devel... Fixed

* Mon Jan 28 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 1.2.1-2
- Summary and description... Fixed

* Sat Jan 26 2008 Jakub 'Livio' Rusinek <jakub.rusinek@gmail.com> - 1.2.1-1
- Initial package
